javax.management.relation

## Class InvalidRelationIdException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.management.JMException
      - - javax.management.relation.RelationException
        - - javax.management.relation.InvalidRelationIdException

- All Implemented Interfaces:
    Serializable

      public class InvalidRelationIdException
      extends RelationException

  This exception is raised when relation id provided for a relation is already used.
  Since:
    1.5
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidRelationIdException()` Default constructor, no message put in exception.
    `InvalidRelationIdException(String message)` Constructor with given message put in exception.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidRelationIdException

          public InvalidRelationIdException()

      Default constructor, no message put in exception.

    - #### InvalidRelationIdException

          public InvalidRelationIdException(String message)

      Constructor with given message put in exception.
      Parameters:
        `message` - the detail message.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.